      INTEGER FUNCTION ISRCHFGT(N,ARRAY,INC,TARGET)
      REAL             ARRAY(1+INC*(N-1))
C
      IF (N.LE.0) THEN
        ISRCHFGT=0
        RETURN
      ELSE
        DO 1 I=1,N
          IF ( ARRAY(1+INC*(I-1)).GT.TARGET ) THEN
            ISRCHFGT=I
            RETURN
          ENDIF
1       CONTINUE
        ISRCHFGT=N+1
      ENDIF
      END
